<?php
session_start();
include_once "inc/db_connect.php";
header('Content-Type: text/html;charset=utf8');
if(isset($_SESSION['user'])) {
	header("Location: index.php?");
	exit();
}
if(isset($_SESSION['reg_ok'])){
$year = date("Y");
echo <<<regok
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>Лига скорости</title>
	<meta name="description" content="Мобильные гонки">
	<link rel="stylesheet" type="text/css" href="/style/default/mobile.css">
</head>
<body>
<div class="title">Регистрация</div>
<div class="mono">
<center>
	<p style="color:#000;padding:0;margin:0;">Успешная регистрация</p>
	<form action="index.php?" method="post">
		<input type="submit" name="regok" value="Играть" class="btn" />
	</form>
	</center>
</div>
<div class="title">Лига скорости</div>
</body>
</html>
regok;
exit();
}else{
$err = "";
if(isset($_POST['submit'])){
	$nick = mysql_real_escape_string(strip_tags(stripslashes(htmlspecialchars($_POST['nick']))));
	$email = mysql_real_escape_string(strip_tags(stripslashes(htmlspecialchars($_POST['email']))));
	$pass = mysql_real_escape_string(strip_tags(stripslashes(htmlspecialchars(trim($_POST['pass'])))));
	$pass2 = mysql_real_escape_string(strip_tags(stripslashes(htmlspecialchars(trim($_POST['pass2'])))));
	//$idref = mysql_real_escape_string(strip_tags(stripslashes(htmlspecialchars(trim($_POST['idref'])))));
	if($pass != $pass2) {$err = "Введённые пароли не савподают";}
	if($pass2 == "") { $err = "Введите повторный пароль";}
	if(!preg_match("/[-a-zA-Z0-9]{6,25}/", $pass)){$err = "Пароль должен содержать только латинские буквы, не менее 6 сим. , и не более 25 сим.";}
	if($pass == "") { $err = "Введите пароль";}
	if (!preg_match("/^(?:[a-z0-9]+(?:[-_.]?[a-z0-9]+)?@[a-z0-9_.-]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})$/i",$email)){$err = "Введите корректный E-mail. Например primer@gmail.com";}
	$mail = mysql_query("SELECT COUNT(id) FROM users WHERE email='".mysql_real_escape_string($email)."'");
    if(mysql_result($mail, 0) > 0){$err = "Такой почтовый ящик уже зарегистрирован";}
	if($email == "") { $err = "Введите E-mail";}
	$query = mysql_query("SELECT COUNT(id) FROM users WHERE nick='".mysql_real_escape_string($nick)."'");
    if(mysql_result($query, 0) > 0){$err = "Пользователь с таким ником уже существует, попробуйте другой ник";}
	if(strlen($nick) < 3 || strlen($nick) > 30) {$err = "Ник должен содержаться не менее из 3 сим. и не более 30 сим.";}
	if($nick == "") {$err = "Введите ник";}
	if(!$err){
		$ip = $_SERVER['REMOTE_ADDR'];
		$date = date("d.m.Y H:i:s");
		$avatar = "avatars/no_avatar.png";
		$speed = (int)40;
		$raiting = (int)0;
		$opit = (int)0;
		$level = (int)1;
		$status = "Гонщик";
		$car = "car/2avto.png";
		$carname = "Москвич";
$money = (int)3000;
$money2 = (int)10;
		$fuel = (int)100;
		$Query = mysql_query ("INSERT INTO `users` (`nick`,`email`,`password`,`status`,`fuel`,`speed`,`level`,`money`,`money2`,`opit`,`car`,`carname`,`raiting`,`avatar`,`ip`,`date`) VALUES('$nick','$email','$pass','$status','$fuel','$speed','$level','$money','$money2','$opit','$car','$carname','$raiting','$avatar','$ip','$date')") or die(mysql_error());
		if($Query == true) {
			$_SESSION['reg_ok'] = $nick;
			header("Location: reg.php?");
			exit();
		}
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>Лига скорости</title>
	<meta name="description" content="Мобильные гонки">
	<link rel="stylesheet" type="text/css" href="/style/default/mobile.css">
</head>
<body>
<div class="title">Регистрация</div>
<?php if($err) echo "<div class='err'>" , $err , "</div>";?>
<table class="menu1 wdt">
	<tr>
<td><a href="/index.php" title="Вход в игру"><font color="#0769ad">Есть аккаунт? Жми!</font></a></td>
	</tr>
</table>
<div class="mono">
<center>
<form action="<?=$_SERVER["PHP_SELF"]?>" method="post">
Ник: <br /><input class="input" type="text" name="nick" value="" /><br />
E-mail: <br /><input class="input" type="text" name="email" value="" /><br />
Пароль: <br /><input class="input" type="password" name="pass" value="" /><br />
Пароль еще раз: <br /><input class="input" type="password" name="pass2" value="" /><br />
<?//ID друга: <br /><input class="input" type="text" name="idref" value="" /><br /> ?>
<input type="submit" name="submit" value="Регистрация" class="btn" /><br><br>
</form>
</center>
</div>
</body>
</html>
<?
}
